Subject: RE: [NSIS] NSIS Controlled load & Pre-Congestion Notification (P CN)

From: "Hancock, Robert" <[email-masked]>
Date: Tue, 4 Jul 2006 16:27:38 +0100

hi,

i think it would be a good thing to have the controlled load
QOSM made official, and at the same time work out how to support
the PCN architecture and algorithms with NSIS signalling.

in the past i've been in favour of covering both in a single
specification, although i think i'm swimming against the tide
on that. however, in any case, i think it would be good to work
on the related specifications (including the PCN/RSVP ones) at 
the same time and so far as possible in the same place, because
then they'll fit together better and also get better reviews.

i'm not clear in my own head how much of a delta CL-4-PCN/NSIS 
would be compared to 'classical CL'. at least it would be
interesting to decide if it is a new QOSM or an extension to
an existing one (which might also help to clarify some of the 
current extensibility discussions). other interesting points
would be how to handle AdSpec-equivalent processing (which 
has been an interesting point for the CL-QOSM and AFAIK is
currently undefined for PCN/RSVP), and whether the QoS-NSLP/
QSPEC flexibility provides any neater solution to the 'on-hold'
problem (where a reservation request arrives at the egress 
before it has a congestion estimate).

cheers,

robert h.

> -----Original Message-----
> From: Geib, Ruediger [mailto:[email-masked]] 
> Sent: 27 June 2006 15:12
> To: [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: RE: [NSIS] NSIS Controlled load & Pre-Congestion 
> Notification (P CN)
> 
> 
> Hi John,
> 
> as I'm interested in PCN and also following NSIS, I would appreciate 
> some activity to signal CLS/PCN with NSIS. If there's more interest, 
> I'd also help on a draft.
> 
> PCN doesn't yet have WG status. Would it be a good idea to wait until 
> IETF accepts PCN as a work item before NSIS starts to work on this? 
> Should we discuss this in Montreal (maybe also with Bob Briscoe 
> and Francois Lefaucheur)?
> 
> Regards,
> 
> Rudiger
> 
> |The current situation is that we (in NSIS) are starting to clear our
> |charter, and there has been interest in making the 
> Controlled Load QoS 
> |Model a WG draft.
> |I would imagine that also working on the PCN at the same 
> time might be
> |desirable.
> |
> |let me know,
> |thanks,
> |John
> |
> |_______________________________________________
> |nsis mailing list
> [email-masked]
> |https://www1.ietf.org/mailman/listinfo/nsis
> |
> 
> _______________________________________________
> nsis mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/nsis
> 

_______________________________________________
nsis mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nsis